UNIT mTEingabePaar;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses mTSortierbaresObject, mtzustand;

type
   TEingabePaar = CLASS(TSortierbaresObject)

     // weitere Attribute
     private
        Ausgabe : String;
        Wert : String;
        ZielZustand : TZustand;

     // weitere Methoden
     public
        constructor init (pWert: String; pZielZustand: TZustand; pAusgabe: String); virtual;
        function GibAusgabe : String; virtual;
        function GibWert : String; override;
        function GibZielZustand : TZustand; virtual;
        function istGroesserAls (pSortierbaresObject: TSortierbaresObject) : Boolean; override;
        destructor gibFrei; virtual;

   end;

implementation

//+---------------------------------------------------------------------
//|         TEingabePaar: Methodendefinition 
//+---------------------------------------------------------------------

//-------- init (public) -----------------------------------------------
constructor TEingabePaar.init (pWert: String; pZielZustand: TZustand; pAusgabe: String);
begin
  Wert := pWert;
  Ausgabe := pAusgabe;
  ZielZustand := pZielZustand;
end;

//-------- GibAusgabe (public) -----------------------------------------
function TEingabePaar.GibAusgabe : String;
   begin
      result  := Ausgabe
   end;

//-------- GibWert (public) --------------------------------------------
function TEingabePaar.GibWert : String;
   begin
      result  := Wert
   end;

//-------- GibZielZustand (public) -------------------------------------
function TEingabePaar.GibZielZustand : TZustand;
   begin
      result  := ZielZustand
   end;

//-------- istGroesserAls (public) -------------------------------------
function TEingabePaar.istGroesserAls (pSortierbaresObject: TSortierbaresObject) : Boolean;
begin
  result := (self.GibWert > pSortierbaresObject.gibWert);
end;

//-------- gibFrei (public) --------------------------------------------
destructor TEingabePaar.gibFrei;
begin
  //Hier Code einfgen.
end;

end.
